---
title: Payments
slug: apis/payments/cos-card-payments/payment-apis/get-payments
description: Discover how to retrieve payment data using the `/v1/payments` API endpoint, featuring code examples and detailed response attributes for effective payment processing.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-09-28T11:21:45.791Z
---

## API reference

Retrieve multiple payment details by payment filtered by various parameters

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/payments",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/payments",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "5MLOXLPBPeXUktSCT2Ta_",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardpayments//v1/payments' \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer Token'"
      },
      {
        "id": "WeoCP3fIgCEZY3ivis9H-",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/cardpayments//v1/payments',\n  'headers': {\n    'Accept': 'application/json',\n    'Authorization': 'Bearer Token'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();"
      },
      {
        "id": "BP-IjxQK-9xJ_YCWNyGNx",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Accept': 'application/json',\n  'Authorization': 'Bearer Token'\n}\nconn.request(\"GET\", \"/cardpayments//v1/payments\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "lSVsEkAmekolix20f9NvH",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardpayments//v1/payments\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer Token\"\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "0wBle41sQOrPfl57gufY7",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardpayments//v1/payments\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Accept\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer Token\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "5MLOXLPBPeXUktSCT2Ta_"
  },
  "results": {
    "languages": [
      {
        "id": "qaLRHBp_njcq9NhtL7R3X",
        "language": "200",
        "code": "{\n    \"results\": [\n        {\n            \"id\": \"aed71b6c-84ab-4556-bba1-b419007f0a06\",\n            \"clientIdentifier\": \"20240815-4\",\n            \"amount\": 200,\n            \"paymentType\": \"Push\",\n            \"status\": \"Completed\",\n            \"source\": \"OpsPortal\",\n            \"productId\": \"a4169307-3f97-4db9-9747-b14d00a4c08e\",\n            \"partnerId\": \"f3d41d07-183e-4c73-90cd-b14d00a4089a\",\n            \"cardId\": \"5583ec45-8870-4570-a2a7-b3ef0164e605\",\n            \"cardToken\": \"DBB451DC5A624A32A27694C4732CCFFA000000\",\n            \"network\": \"Visa\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"9904\",\n            \"issuerCountryCode\": \"US\",\n            \"retrievalReferenceId\": \"608507788796\",\n            \"reasonCode\": \"00\",\n            \"reasonDescription\": \"Approved\",\n            \"traceNumber\": \"788796\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Corresponding\",\n                \"lastName\": \"Entity\",\n                \"externalAccountIdentifier\": \"123456***0000\",\n                \"address\": {\n                    \"street1\": \"2 Main st.\",\n                    \"city\": \"Fort Lee\",\n                    \"state\": \"NJ\",\n                    \"postalCode\": \"12345\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"mcc\": \"1324\",\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2661828414\",\n            \"businessType\": \"BB\",\n            \"coreTransactionId\": \"f85f3ebe-d951-448c-a357-b4190082684d\",\n            \"memoPostId\": \"aed71b6c-84ab-4556-bba1-b419007f0a06\",\n            \"memoPostRemovedAt\": \"2026-03-26T03:54:53.967-04:00\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-03-26T03:42:32.127-04:00\",\n            \"authorizedOn\": \"2026-03-26T03:54:31.85-04:00\",\n            \"submittedOn\": \"2026-03-26T03:54:47.53-04:00\",\n            \"completedAt\": \"2026-03-26T03:54:49.59-04:00\",\n            \"limitsEligibleOn\": \"2026-03-26T03:42:32.127-04:00\",\n            \"lastModifiedAt\": \"2026-03-26T03:54:54.0817536-04:00\"\n        },\n        {\n            \"id\": \"237e2216-3872-47ad-919c-b41c007e7dd5\",\n            \"clientIdentifier\": \"20240815-4\",\n            \"amount\": 200,\n            \"paymentType\": \"Push\",\n            \"status\": \"Failed\",\n            \"source\": \"OpsPortal\",\n            \"productId\": \"a4169307-3f97-4db9-9747-b14d00a4c08e\",\n            \"partnerId\": \"f3d41d07-183e-4c73-90cd-b14d00a4089a\",\n            \"cardId\": \"5583ec45-8870-4570-a2a7-b3ef0164e605\",\n            \"cardToken\": \"DBB451DC5A624A32A27694C4732CCFFA000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"9904\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"Gateway request timed out\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Corresponding\",\n                \"lastName\": \"Entity\",\n                \"externalAccountIdentifier\": \"123456***0000\",\n                \"address\": {\n                    \"street1\": \"2 Main st.\",\n                    \"city\": \"Fort Lee\",\n                    \"state\": \"NJ\",\n                    \"postalCode\": \"12345\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"mcc\": \"1324\",\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2661828414\",\n            \"businessType\": \"BB\",\n            \"memoPostId\": \"237e2216-3872-47ad-919c-b41c007e7dd5\",\n            \"memoPostRemovedAt\": \"2026-03-29T04:01:56.673-04:00\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-03-29T03:40:32.497-04:00\",\n            \"authorizedOn\": \"2026-03-29T04:01:51.96-04:00\",\n            \"submittedOn\": \"2026-03-29T04:01:55.44-04:00\",\n            \"failedAt\": \"2026-03-29T04:01:55.527-04:00\",\n            \"lastModifiedAt\": \"2026-03-29T04:01:57.6155383-04:00\"\n        },\n        {\n            \"id\": \"2c0090c2-60aa-4585-9efc-b41c0085866e\",\n            \"clientIdentifier\": \"20240815-4\",\n            \"amount\": 200,\n            \"paymentType\": \"Push\",\n            \"status\": \"Failed\",\n            \"source\": \"OpsPortal\",\n            \"productId\": \"a4169307-3f97-4db9-9747-b14d00a4c08e\",\n            \"partnerId\": \"f3d41d07-183e-4c73-90cd-b14d00a4089a\",\n            \"cardId\": \"5583ec45-8870-4570-a2a7-b3ef0164e605\",\n            \"cardToken\": \"DBB451DC5A624A32A27694C4732CCFFA000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"9904\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"05\",\n            \"reasonDescription\": \"Error\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Corresponding\",\n                \"lastName\": \"Entity\",\n                \"externalAccountIdentifier\": \"123456***0000\",\n                \"address\": {\n                    \"street1\": \"2 Main st.\",\n                    \"city\": \"Fort Lee\",\n                    \"state\": \"NJ\",\n                    \"postalCode\": \"12345\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"mcc\": \"1324\",\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2661828414\",\n            \"businessType\": \"BB\",\n            \"coreTransactionId\": \"f4854aa2-05a0-40c1-b2fc-b41c0089f7fc\",\n            \"memoPostId\": \"2c0090c2-60aa-4585-9efc-b41c0085866e\",\n            \"memoPostRemovedAt\": \"2026-03-29T04:33:15.08-04:00\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-03-29T04:06:09.007-04:00\",\n            \"authorizedOn\": \"2026-03-29T04:22:06.24-04:00\",\n            \"submittedOn\": \"2026-03-29T04:31:04.27-04:00\",\n            \"completedAt\": \"2026-03-29T04:22:19.947-04:00\",\n            \"failedAt\": \"2026-03-29T04:31:04.273-04:00\",\n            \"lastModifiedAt\": \"2026-03-29T04:33:17.4110852-04:00\"\n        },\n        {\n            \"id\": \"c11179d6-eb35-4baa-8e40-b424015ffaee\",\n            \"amount\": 10000,\n            \"paymentType\": \"Push\",\n            \"status\": \"Hold\",\n            \"source\": \"OpsPortal\",\n            \"productId\": \"a2eac905-3f73-4cad-aebd-b06e00d945b7\",\n            \"partnerId\": \"f176a518-381f-487b-9507-b06e00d8cd18\",\n            \"cardId\": \"e34f6f70-454c-40e8-8b13-b424015e24fa\",\n            \"cardToken\": \"21BF6577F1D042A7AD01D1193C8627B7000000\",\n            \"cardBrand\": \"MasterCard\",\n            \"panLastFour\": \"9905\",\n            \"issuerCountryCode\": \"US\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Edwin\",\n                \"lastName\": \"Melendez\",\n                \"externalAccountIdentifier\": \"400758***9953\",\n                \"address\": {\n                    \"street1\": \"123 Tester Ln\",\n                    \"city\": \"Tampa\",\n                    \"state\": \"FL\",\n                    \"postalCode\": \"33635\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2532733231\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-06T17:21:31.24-04:00\",\n            \"limitsEligibleOn\": \"2026-04-06T17:21:31.24-04:00\",\n            \"lastModifiedAt\": \"2026-04-06T17:23:46.1452536-04:00\"\n        },\n        {\n            \"id\": \"b407e757-7811-45d4-ad97-b42500583679\",\n            \"clientIdentifier\": \"9a8b6f79-16bc-522e-a0a0-a57af848e5ad\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"Gateway request timed out\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\",\n                \"address\": {\n                    \"street1\": \"260 Avenue De Los Mexicanos\",\n                    \"city\": \"South Park\",\n                    \"state\": \"CO\",\n                    \"postalCode\": \"81241\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T01:21:10.377-04:00\",\n            \"authorizedOn\": \"2026-04-07T01:21:15.6-04:00\",\n            \"submittedOn\": \"2026-04-07T01:21:19.133-04:00\",\n            \"failedAt\": \"2026-04-07T01:21:19.133-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T01:21:25.524934-04:00\"\n        },\n        {\n            \"id\": \"818e26cc-a5fe-4299-be9f-b42501142de4\",\n            \"clientIdentifier\": \"90d0038c-8659-5a9a-bddb-e35b786dbe5d\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"CVV not found\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\",\n                \"address\": {\n                    \"street1\": \"260 Avenue De Los Mexicanos\",\n                    \"city\": \"South Park\",\n                    \"state\": \"CO\",\n                    \"postalCode\": \"81241\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T12:45:32.273-04:00\",\n            \"authorizedOn\": \"2026-04-07T12:52:25.813-04:00\",\n            \"submittedOn\": \"2026-04-07T12:54:47.323-04:00\",\n            \"failedAt\": \"2026-04-07T12:54:47.333-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T12:54:53.0371308-04:00\"\n        },\n        {\n            \"id\": \"2d31bab7-1c87-46d8-a581-b42501329f57\",\n            \"clientIdentifier\": \"395673a4-d91d-5f82-993d-9e1a9e5ef2a3\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"CVV not found\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\"\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T14:36:22.687-04:00\",\n            \"authorizedOn\": \"2026-04-07T14:40:49.503-04:00\",\n            \"submittedOn\": \"2026-04-07T14:40:57.753-04:00\",\n            \"failedAt\": \"2026-04-07T14:40:57.753-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T14:41:03.0925585-04:00\"\n        },\n        {\n            \"id\": \"a80bbd5b-503d-440b-9bd8-b4250132b239\",\n            \"clientIdentifier\": \"395673a4-d91d-5f82-993d-9e1a9e5ef2a3\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"CVV not found\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\"\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T14:36:38.8-04:00\",\n            \"authorizedOn\": \"2026-04-07T14:42:07.887-04:00\",\n            \"submittedOn\": \"2026-04-07T14:44:18.63-04:00\",\n            \"failedAt\": \"2026-04-07T14:44:18.64-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T14:46:33.3188773-04:00\"\n        },\n        {\n            \"id\": \"5b239697-b8da-401b-8b8a-b425013315fe\",\n            \"clientIdentifier\": \"395673a4-d91d-5f82-993d-9e1a9e5ef2a3\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"CVV not found\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\"\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T14:38:03.933-04:00\",\n            \"authorizedOn\": \"2026-04-07T14:42:30.687-04:00\",\n            \"submittedOn\": \"2026-04-07T14:42:30.793-04:00\",\n            \"failedAt\": \"2026-04-07T14:42:30.793-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T14:42:33.0879676-04:00\"\n        },\n        {\n            \"id\": \"5124e2c1-4660-4cc2-a38f-b42501346965\",\n            \"clientIdentifier\": \"395673a4-d91d-5f82-993d-9e1a9e5ef2a3\",\n            \"amount\": 100,\n            \"paymentType\": \"Pull\",\n            \"status\": \"Failed\",\n            \"source\": \"Api\",\n            \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n            \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n            \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n            \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n            \"cardBrand\": \"Visa\",\n            \"panLastFour\": \"1111\",\n            \"issuerCountryCode\": \"US\",\n            \"reasonCode\": \"9999\",\n            \"reasonDescription\": \"CVV not found\",\n            \"correspondingEntity\": {\n                \"firstName\": \"Randy\",\n                \"lastName\": \"Marsh\",\n                \"externalAccountIdentifier\": \"411111***1111\",\n                \"address\": {\n                    \"street1\": \"260 Avenue De Los Mexicanos\",\n                    \"city\": \"South Park\",\n                    \"state\": \"CO\",\n                    \"postalCode\": \"81241\",\n                    \"countryCode\": \"US\"\n                }\n            },\n            \"merchantVerificationValue\": \"123456\",\n            \"accountNumber\": \"2287979807\",\n            \"businessType\": \"AA\",\n            \"wasRefunded\": false,\n            \"createdAt\": \"2026-04-07T14:42:53.557-04:00\",\n            \"authorizedOn\": \"2026-04-07T14:45:09.44-04:00\",\n            \"submittedOn\": \"2026-04-07T14:45:10.397-04:00\",\n            \"failedAt\": \"2026-04-07T14:45:10.397-04:00\",\n            \"lastModifiedAt\": \"2026-04-07T14:47:22.3277117-04:00\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 10,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": true\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "qaLRHBp_njcq9NhtL7R3X"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "from",
        "kind": "optional",
        "type": "string",
        "description": "From date",
        "": "From date"
      },
      {
        "name": "to",
        "kind": "optional",
        "type": "string",
        "description": "To date",
        "": "To date"
      },
      {
        "name": "partnerId",
        "kind": "optional",
        "type": "string",
        "description": " A UUID that identifies the partner, as defined in COS.",
        "": " A UUID that identifies the partner, as defined in COS."
      },
      {
        "name": "productId",
        "kind": "optional",
        "type": "string",
        "description": " A UUID that identifies the product, as defined in COS.",
        "": " A UUID that identifies the product, as defined in COS."
      },
      {
        "name": "cardBrand",
        "kind": "optional",
        "type": "string",
        "description": "One of  \"AmericanExpress\",\n                        \"ChinaUnionPay\",\n                        \"Dankort\",\n                        \"DinersClub\",\n                        \"Discover\",\n                        \"Hipercard\",\n                        \"JCB\",\n                        \"Laser\",\n                        \"Maestro\",\n                        \"MasterCard\",\n                        \"RuPay\",\n                        \"Solo\",\n                        \"Switch\",\n                        \"Visa\",\n                        \"Unknown\"",
        "": "One of  \"AmericanExpress\",\n                        \"ChinaUnionPay\",\n                        \"Dankort\",\n                        \"DinersClub\",\n                        \"Discover\",\n                        \"Hipercard\",\n                        \"JCB\",\n                        \"Laser\",\n                        \"Maestro\",\n                        \"MasterCard\",\n                        \"RuPay\",\n                        \"Solo\",\n                        \"Switch\",\n                        \"Visa\",\n                        \"Unknown\""
      },
      {
        "name": "paymentType",
        "kind": "optional",
        "type": "string",
        "description": "Indicates the direction of the payment:\nPush -  Money sent out (e.g. disbursement to a customer)\nPull -  Money received (e.g. a charge to a customer's card)",
        "": "Indicates the direction of the payment:\nPush -  Money sent out (e.g. disbursement to a customer)\nPull -  Money received (e.g. a charge to a customer's card)"
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "One of  \"Created\",\n                        \"Pending\",\n                        \"Authorized\",\n                        \"Submitted\",\n                        \"Processing\",\n                        \"Completed\",\n                        \"Rejected\",\n                        \"Failed\"",
        "": "One of  \"Created\",\n                        \"Pending\",\n                        \"Authorized\",\n                        \"Submitted\",\n                        \"Processing\",\n                        \"Completed\",\n                        \"Rejected\",\n                        \"Failed\""
      },
      {
        "name": "issuerCountryCode",
        "kind": "optional",
        "type": "string",
        "description": "A string representing the country code of the card issuer.",
        "": "A string representing the country code of the card issuer."
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "A string that identifies the client associated with the payment. Max 50 characters",
        "": "A string that identifies the client associated with the payment. Max 50 characters"
      },
      {
        "name": "pageNumber",
        "kind": "optional",
        "type": "number",
        "description": "The desired index in a paginated list.",
        "": "The desired index in a paginated list."
      },
      {
        "name": "pageSize",
        "kind": "optional",
        "type": "number",
        "description": "The desired number of items returned per page.",
        "": "The desired number of items returned per page."
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "response": [
    {
      "name": "results",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "id",
          "kind": "optional",
          "type": "string",
          "description": "The GUID of the payment you want to retrieve",
          "children": []
        },
        {
          "name": "originalPaymentId",
          "kind": "optional",
          "type": "string",
          "description": " A UUID that is the primary identifier for the payment.",
          "children": []
        },
        {
          "name": "clientIdentifier",
          "kind": "optional",
          "type": "string",
          "description": " A string that identifies the client associated with the payment.",
          "children": []
        },
        {
          "name": "amount",
          "kind": "optional",
          "type": "string",
          "description": "The amount to be transferred, in cents. For example, 10001 = $100.01.",
          "children": []
        },
        {
          "name": "paymentType",
          "kind": "optional",
          "type": "string",
          "description": "Indicates the direction of the payment:\nPush -  Money sent out (e.g. disbursement to a customer)\nPull -  Money received (e.g. a charge to a customer's card)",
          "children": []
        },
        {
          "name": "status",
          "kind": "optional",
          "type": "string",
          "description": "One of  \"Created\",\n                        \"Pending\",\n                        \"Authorized\",\n                        \"Submitted\",\n                        \"Processing\",\n                        \"Completed\",\n                        \"Rejected\",\n                        \"Failed\"",
          "children": []
        },
        {
          "name": "productId",
          "kind": "optional",
          "type": "string",
          "description": " A UUID that identifies the product, as defined in COS.",
          "children": []
        },
        {
          "name": "partnerId",
          "kind": "optional",
          "type": "string",
          "description": " A UUID that identifies the partner, as defined in COS.",
          "children": []
        },
        {
          "name": "cardId",
          "kind": "optional",
          "type": "string",
          "description": " A UUID that identifies the card used.",
          "children": []
        },
        {
          "name": "network",
          "kind": "optional",
          "type": "string",
          "description": "The network through which the payment is processed (e.g. Visa, Mastercard).",
          "children": []
        },
        {
          "name": "cardBrand",
          "kind": "optional",
          "type": "string",
          "description": "One of  \"AmericanExpress\",\n                        \"ChinaUnionPay\",\n                        \"Dankort\",\n                        \"DinersClub\",\n                        \"Discover\",\n                        \"Hipercard\",\n                        \"JCB\",\n                        \"Laser\",\n                        \"Maestro\",\n                        \"MasterCard\",\n                        \"RuPay\",\n                        \"Solo\",\n                        \"Switch\",\n                        \"Visa\",\n                        \"Unknown\"",
          "children": []
        },
        {
          "name": "panLastFour",
          "kind": "optional",
          "type": "string",
          "description": "The last four digits of the Primary Account Number (card number).",
          "children": []
        },
        {
          "name": "issuerCountryCode",
          "kind": "optional",
          "type": "string",
          "description": "A string representing the country code of the card issuer.",
          "children": []
        },
        {
          "name": "retrievalReferenceId",
          "kind": "optional",
          "type": "string",
          "description": "A unique identifier used for retrieving transaction details, often used in disputes or reconciliation.",
          "children": []
        },
        {
          "name": "reasonCode",
          "kind": "optional",
          "type": "string",
          "description": "A 2-digit code signifying the transaction result (approved or decline). For example, 00 means successful.",
          "children": []
        },
        {
          "name": "resonDescription",
          "kind": "optional",
          "type": "string",
          "description": "A string describing the transaction result. For example, Approved.",
          "children": []
        },
        {
          "name": "traceNumber",
          "kind": "optional",
          "type": "string",
          "description": "A unique number assigned to a transaction from the time it leaves the merchant bank until it arrives at the cardholder bank",
          "children": []
        },
        {
          "name": "originator",
          "kind": "optional",
          "type": "object",
          "description": "References information about who initiated the transaction, linking to an OriginatorInfo object.",
          "children": []
        },
        {
          "name": "mcc",
          "kind": "optional",
          "type": "string",
          "description": "Merchant Category Code (MCC). 4-digits that a credit card issuer uses to categorize consumer transactions for their card.",
          "children": []
        },
        {
          "name": "merchantVerificationValue",
          "kind": "optional",
          "type": "string",
          "description": "A value used to verify the merchant's identity.",
          "children": []
        },
        {
          "name": "accountNumber",
          "kind": "optional",
          "type": "string",
          "description": "The account number associated with the payment.",
          "children": []
        },
        {
          "name": "coreTransactionId",
          "kind": "optional",
          "type": "string",
          "description": "A UUID that links the payment to the core banking system.",
          "children": []
        },
        {
          "name": "memoPostId",
          "kind": "optional",
          "type": "string",
          "description": "A UUID that identifies the corresponding memo post (a temporary transaction posting).",
          "children": []
        },
        {
          "name": "memoPostRemovedAt",
          "kind": "optional",
          "type": "string",
          "description": "When the memo post was removed. I.e. When the temporary hold was released.",
          "children": []
        },
        {
          "name": "wasRefunded",
          "kind": "optional",
          "type": "boolean",
          "description": "Boolean value indicating whether the payment has been refunded.",
          "children": []
        },
        {
          "name": "refundPaymentId",
          "kind": "optional",
          "type": "string",
          "description": "A UUID that identifies the refund transaction associated with the payment.",
          "children": []
        },
        {
          "name": "createdAt",
          "kind": "optional",
          "type": "string",
          "description": "When the payment was created",
          "children": []
        },
        {
          "name": "authorizedOn",
          "kind": "optional",
          "type": "string",
          "description": "When the payment was authorized by the issuing bank.",
          "children": []
        },
        {
          "name": "submittedOn",
          "kind": "optional",
          "type": "string",
          "description": "When the payment was submitted to the network.",
          "children": []
        },
        {
          "name": "rejectedAt",
          "kind": "optional",
          "type": "string",
          "description": "When the payment was rejected.",
          "children": []
        },
        {
          "name": "completedAt",
          "kind": "optional",
          "type": "string",
          "description": "When the payment was successfully completed.",
          "children": []
        },
        {
          "name": "failedAt",
          "kind": "optional",
          "type": "string",
          "description": "When the payment failed to process.",
          "children": []
        },
        {
          "name": "limitsEligibleOn",
          "kind": "optional",
          "type": "string",
          "description": "When the transaction becomes eligible for limit calculations.",
          "children": []
        },
        {
          "name": "lastModifiedAt",
          "kind": "optional",
          "type": "string",
          "description": "When the payment record was last modified.",
          "children": []
        },
        {
          "name": "businessType",
          "kind": "optional",
          "type": "string",
          "description": "Business Application Indicator (BAI) -- a standardized category used to classify the nature of a business.\nOne of \nBB - 'Business2Business', \nFD - 'Funds Disbursement ', \nAA - 'Account2Account', \nPP - 'Person2Person', \nMT -'Money Transfer', \nCD - 'Cash Deposit', \nFT - 'Funds Transfer', \nWT - 'Wallet Transfer', \nCP - 'Card Bill Payment'\nMD - 'Merchant Disbursement'"
        }
      ]
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-v1payments",
  "legacyHash": "YYSTqR8zkE1QUBkQdhV-w"
}
```
:::

